개요
o Cisco社는 자사의 제품에 영향을 주는 취약점을 해결한 보안 업데이트 발표 [1]
o 공격자는 해당 취약점을 악용하여 원격 코드 실행, 권한 상승 등의 피해를 발생시킬 수 있으므로 최신 버전으로 업데이트
권고

□ 설명
o Cisco Web Security Appliance(WSA)의 웹 인터페이스에서 사용자 입력 값 검증 미흡으로 권한 상승 및 원격 코드 실행이
가능한 취약점(CVE-2017-6746)

□ 해당 시스템
o 영향을 받는 제품
- 참고사이트에 명시되어 있는 ‘Affected Products’을 통해 취약한 제품 확인

□ 해결 방안
o 취약점이 발생한 Cisco 소프트웨어가 설치된 이용자는, 해당되는 참고사이트에 명시되어 있는 ‘Affected Products’ 내용을
확인하여, 패치 적용



[참고사이트]
[1] https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-20170719-wsa1

저작자 표시 비영리 변경 금지
신고
블로그 이미지

Ryansecurity Ryansecurity

Life is fun security story

Tag Cisco


□ 개요
o Cisco社는 자사의 제품에 영향을 주는 취약점을 공개[1]
o 공격자는 해당 취약점을 악용해 원격 코드 실행 등의 피해를 발생시킬 수 있으므로, 해결방안에 따른 조치 권고

□ 내용
o Cisco IOS 및 IOS XE의 SNMP(Simple Network Management Protocol) 하위 시스템에서 BOF로 인해 발생하는 원격 코드 실행 취약점
(CVE-2017-6736, CVE-2017-6737, CVE-2017-6738, CVE-2017-6739, CVE-2017-6740, CVE-2017-6741,
CVE-2017-6742, CVE-2017-6743, CVE-2017-6744)

□ 영향을 받는 버전
o 참고사이트에 명시되어 있는 ‘Affected Products’을 통해 취약한 버전 확인

□ 해결 방안
o 현재 해당 취약점에 대한 보안 업데이트가 발표되지 않아 패치가 발표될 때까지 참고사이트에 명시되어 있는 ‘Workarounds’를 확인하여
아래와 같은 방법을 시행하는 것을 권고
- 허가 받지 않은 사용자의 SNMP 접근을 제한

□ 용어 정리
o MIB(Management Information Base) : 망 내 연결된 기기를 제어하기 위해 사용되는 규격화된 관리 정보 항목


[참고사이트]
[1] https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-20170629-snmp

저작자 표시 비영리 변경 금지
신고
블로그 이미지

Ryansecurity Ryansecurity

Life is fun security story

Tag Cisco

□ 개요
o Cisco社는 자사의 제품에 영향을 주는 취약점을 해결한 보안 업데이트를 발표
o 공격자는 해당 취약점을 악용하여 서비스 거부의 피해를 발생시킬 수 있으므로, 최신버전으로 업데이트 권고

□ 내용
o Cisco Prime Infrastructure(PI) 및 EPNM(Evolved Programmable Network Manager)의 웹 기반 사용자 인터페이스에서
발생하는 XXE 취약점(CVE-2017-6662) [1]
o Cisco WebEx Network Recording Player에서 발생하는 다중 버퍼 오버플로우 취약점(CVE-2017-6669) [2]
o Cisco VPC-DI(Virtualized Packet Core-Distributed Instance) 소프트웨어의 수신된 UDP 패킷을 처리하는 과정에서
발생하는 서비스 거부 취약점(CVE-2017-6678) [3]

□ 영향을 받는 제품 및 버전
o 참고사이트에 명시되어 있는 ‘Affected Products’을 통해 취약한 제품 확인

□ 해결 방안
o 취약점이 발생한 Cisco 소프트웨어가 설치된 Cisco장비의 운영자는 해당사이트에 명시되어 있는 ‘Affected Products’ 내용을
확인하여 패치 적용

□ 용어 정리
o XXE 취약점 : XML 문서에서 동적으로 외부 URI의 리소스를 포함시킬 수 있는 External Entity를 사용하여 서버의 로컬파일
열람, 서비스 거부 등을 유발할 수 있는 취약점


[참고사이트]
[1] https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-20170621-piepnm1
[2] https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-20170621-wnrp
[3] https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-20170621-vpc

저작자 표시 비영리 변경 금지
신고
블로그 이미지

Ryansecurity Ryansecurity

Life is fun security story

Tag Cisco

티스토리 툴바